package com.seeyon.apps.qrCodeForm.constant;

public enum QrCodeFormConstants {

    plugin("qrCodeForm","插件ID"),
    oaAddress("https://oa.hbsxly.com", "OA地址"),
    qwAppId("", "企微APPID"),
    restId("qrcode", "rest账号"),
    restPwd("2fbee5ed-ef79-433d-86dd-b93b3f5b80a1", "rest密码"),
    qrcode_loginname("oatest", "发起人账号");

    QrCodeFormConstants(String defaultValue, String description) {
        this.defaultValue = defaultValue;
        this.description = description;
    }

    private String defaultValue;
    private String description;

    public String getDefaultValue() {
        return defaultValue;
    }

    public String getDescription() {
        return description;
    }

    public static String getPluginId() {
        return plugin.defaultValue;
    }

}
